package org.beangle.security.model;

import java.util.List;

import org.beangle.commons.collection.ListUtil;
import org.beangle.security.Resource;
import org.beangle.security.User;
import org.beangle.security.restriction.Restriction;

public class SecurityContext implements org.beangle.security.SecurityContext {

	User user;

	Resource resource;

	List<Restriction> restrictions = ListUtil.newArrayList();

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public Resource getResource() {
		return resource;
	}

	public void setResource(Resource resource) {
		this.resource = resource;
	}

	public List<Restriction> getRestrictions() {
		return restrictions;
	}

	public void setRestrictions(List<Restriction> restrictions) {
		this.restrictions = restrictions;
	}


}
