package org.beangle.security.restriction.model;

import java.util.Set;

import org.beangle.commons.collection.SetUtil;
import org.beangle.model.pojo.LongIdObject;
import org.beangle.security.restriction.Param;

public class ParamGroupBean extends LongIdObject implements
		org.beangle.security.restriction.ParamGroup {

	private static final long serialVersionUID = -5761007041977213647L;

	private String name;

	private Set<Param> params = SetUtil.newHashSet();

	public Param getParam(String paramName) {
		for (final Param param : params) {
			if (param.getName().equals(paramName)) {
				return param;
			}
		}
		return null;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Set<Param> getParams() {
		return params;
	}

	public void setParams(Set<Param> params) {
		this.params = params;
	}

}
