//$Id: RestrictionApply.java 2008-6-9 下午09:27:42 chaostone Exp $
/*
 *
 * Copyright c 2005-2009
 * Licensed under the Apache License, Version 2.0 (the "License")
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * 
 */
/********************************************************************************
 * @author chaostone
 * 
 * MODIFICATION DESCRIPTION
 * 
 * Name           Date          Description 
 * ============   ============  ============
 * chaostone      2008-6-9  Created
 *  
 ********************************************************************************/
package org.beangle.security.restriction.service;

import java.util.Collection;

import org.beangle.model.query.builder.OqlBuilder;
import org.beangle.security.restriction.Pattern;
import org.beangle.security.restriction.Restriction;

/**
 * 限制应用服务
 * 
 * @author chaostone
 * 
 */
public interface RestrictionApply {

	public void apply(OqlBuilder<?> query, Collection<? extends Pattern> patterns,
			Collection<? extends Restriction> restrictions);

	public void apply(OqlBuilder<?> query, Pattern pattern, Restriction restriction);
}
